apiVersion: apps/v1
kind: Deployment
metadata:
  name: rss-deployment
  namespace: feelrss
  labels:
    app: rss
spec:
  replicas: 2
  selector:
    matchLabels:
      app: rss
  template:
    metadata:
      labels:
        app: rss
    spec:
      containers:
      - name: rss
        image: //rss:docker
        ports:
        - containerPort: 4000
        env:
          - name: ROCKET_CONFIG
            value: /data/Rocket.toml
          - name: PARSER_URL
            valueFrom:
              configMapKeyRef:
                name: feelrss-configmap
                key: parser-url
          - name: MONGODB_URL
            valueFrom:
              configMapKeyRef:
                name: feelrss-configmap
                key: mongodb-url
        resources:
          requests:
            cpu: 350m
            memory: 256Mi
          limits:
            cpu: 1000m
            memory: 1024Mi
      imagePullSecrets:
      - name: azure-cred
